> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get channel shorts

> Get YouTube channel's Shorts (short videos) list,Supports pagination to get more shorts

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">2 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`I want to make an API call to https://api.keyapi.ai/v1/youtube/get_channel_shorts.

Please help me write code to make this API call and handle the response appropriately. Include error handling and best practices.

Here are the details:

Endpoint: GET https://api.keyapi.ai/v1/youtube/get_channel_shorts

Description: Get channel shorts

Required Headers:
--header 'Authorization: Bearer <YOUR_API_KEY>'

Parameters:
- channel_id (Optional): Channel ID (recommended, e.g., UCuAXFkgsw1L7xaCfnd5JJOw). Example: UCuAXFkgsw1L7xaCfnd5JJOw
- channel_url (Optional): Channel URL(Choose either an channel_id or a channel_url). Example: https://www.youtube.com/channel/UCuAXFkgsw1L7xaCfnd5JJOw
- continuation_token (Optional): Pagination token (optional, for next page). Example: 

Example Response:
{
"code": 0,
"message": "success",
"data": {
"channel_id": "UCuAXFkgsw1L7xaCfnd5JJOw",
"shorts": [
  {
    "video_id": "S069PVmKXZ4",
    "title": "Last but not least... Angels on My Side watch and stream now.",
    "view_count_text": "21 thousand views",
    "thumbnails": [
      {
        "url": "https://i.ytimg.com/vi/S069PVmKXZ4/frame0.jpg",
        "width": 1080,
        "height": 1920
      }
    ],
    "accessibility_text": "Last but not least... Angels on My Side watch and stream now., 21 thousand views - play Short",
    "video_url": "https://www.youtube.com/shorts/S069PVmKXZ4"
  }
],
"continuation_token": "NEXT_PAGE_TOKEN",
"has_more": true
},
"requestId": "9a121156-46b4-4fff-9bc1-0dda7589139b"
}`)}
    >
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/youtube.openapi.json GET /v1/youtube/get_channel_shorts
openapi: 3.0.1
info:
  title: YouTube API english document
  description: >-
    The english reference documentation of the YouTube API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security: []
tags: []
paths:
  /v1/youtube/get_channel_shorts:
    get:
      tags: []
      summary: Get channel shorts
      description: >-
        Get YouTube channel's Shorts (short videos) list,Supports pagination to
        get more shorts
      parameters:
        - name: channel_id
          in: query
          description: Channel ID (recommended, e.g., UCuAXFkgsw1L7xaCfnd5JJOw)
          required: false
          example: UCuAXFkgsw1L7xaCfnd5JJOw
          schema:
            type: string
            example: UCuAXFkgsw1L7xaCfnd5JJOw
        - name: channel_url
          in: query
          description: Channel URL(Choose either an channel_id or a channel_url)
          required: false
          example: https://www.youtube.com/channel/UCuAXFkgsw1L7xaCfnd5JJOw
          schema:
            type: string
            example: https://www.youtube.com/channel/UCuAXFkgsw1L7xaCfnd5JJOw
        - name: continuation_token
          in: query
          description: Pagination token (optional, for next page)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  channel_id: UCuAXFkgsw1L7xaCfnd5JJOw
                  shorts:
                    - video_id: S069PVmKXZ4
                      title: >-
                        Last but not least… Angels on My Side ♥️ watch and
                        stream now.
                      view_count_text: 21 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/S069PVmKXZ4/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Last but not least… Angels on My Side ♥️ watch and
                        stream now., 21 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/S069PVmKXZ4
                    - video_id: jbHtuMS-7m0
                      title: >-
                        We’re back with another one! Full performance of ‘Dance’
                        from The O2 is out now. 🕺#rickastley
                      view_count_text: 32 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/jbHtuMS-7m0/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        We’re back with another one! Full performance of ‘Dance’
                        from The O2 is out now. 🕺#rickastley, 32 thousand views
                        - play Short
                      video_url: https://www.youtube.com/shorts/jbHtuMS-7m0
                    - video_id: QVpvmDYrnPo
                      title: >-
                        OMG Denmark ! What a night! I would have signed
                        everything if I could have. 🙏❤️😎 #rickastley
                      view_count_text: 12 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/QVpvmDYrnPo/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        OMG Denmark ! What a night! I would have signed
                        everything if I could have. 🙏❤️😎 #rickastley, 12
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/QVpvmDYrnPo
                    - video_id: qB6u-nqQ67w
                      title: In 2016
                      view_count_text: >-
                        Rick went live talking through his new album ‘50’. 10
                        years later
                      thumbnails:
                        - url: https://i.ytimg.com/vi/qB6u-nqQ67w/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        In 2016, Rick went live talking through his new album
                        ‘50’. 10 years later, he’s doing it again 👀, 16
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/qB6u-nqQ67w
                    - video_id: Jtnz8GsmWCI
                      title: >-
                        ‘Keep Singing’ filmed live from The O2 ♥️First one from
                        a very special night. #rickastley
                      view_count_text: 14 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/Jtnz8GsmWCI/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        ‘Keep Singing’ filmed live from The O2 ♥️First one from
                        a very special night. #rickastley, 14 thousand views -
                        play Short
                      video_url: https://www.youtube.com/shorts/Jtnz8GsmWCI
                    - video_id: 5E1MOlBDWgQ
                      title: >-
                        Summer shows kicked off this week in Sweden and
                        Denmark!! 🇸🇪🇩🇰
                      view_count_text: 66 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/5E1MOlBDWgQ/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Summer shows kicked off this week in Sweden and
                        Denmark!! 🇸🇪🇩🇰, 66 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/5E1MOlBDWgQ
                    - video_id: tJBSRSxbfsU
                      title: >-
                        What a fantastic night in Gothenburg. Really had a lot
                        of fun. Would love to come back! 🎶🕺🏾💕☀️
                      view_count_text: 26 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/tJBSRSxbfsU/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        What a fantastic night in Gothenburg. Really had a lot
                        of fun. Would love to come back! 🎶🕺🏾💕☀️, 26 thousand
                        views - play Short
                      video_url: https://www.youtube.com/shorts/tJBSRSxbfsU
                    - video_id: zhp51BbvYQk
                      title: Thank you for having us Jelling Musikfestival! ♥️🇩🇰
                      view_count_text: 27 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/zhp51BbvYQk/frame0.jpg
                          width: 576
                          height: 1024
                      accessibility_text: >-
                        Thank you for having us Jelling Musikfestival! ♥️🇩🇰,
                        27 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/zhp51BbvYQk
                    - video_id: '-0FVExAgmps'
                      title: >-
                        Bit of @b@BAFTAed carpet madness. Congratulations to all
                        the winners! Thanks for a fun night 👏👏❤️
                      view_count_text: 32 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/-0FVExAgmps/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Bit of @b@BAFTAed carpet madness. Congratulations to all
                        the winners! Thanks for a fun night 👏👏❤️, 32 thousand
                        views - play Short
                      video_url: https://www.youtube.com/shorts/-0FVExAgmps
                    - video_id: GU-4ma439m8
                      title: A closer look at the ‘Raindrops’ artwork shoot 📸🌦️
                      view_count_text: 21 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/GU-4ma439m8/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        A closer look at the ‘Raindrops’ artwork shoot 📸🌦️, 21
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/GU-4ma439m8
                    - video_id: wrVg1eDFICc
                      title: >-
                        Ever wondered what happens 5 minutes before we hit the
                        stage? 🕺 #tour
                      view_count_text: 34 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/wrVg1eDFICc/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Ever wondered what happens 5 minutes before we hit the
                        stage? 🕺 #tour, 34 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/wrVg1eDFICc
                    - video_id: UibTaF8XSws
                      title: Had a lovely message from a dear friend
                      view_count_text: 'Gary Barlow on the last night of tour 🙏❤️ #takethat'
                      thumbnails:
                        - url: https://i.ytimg.com/vi/UibTaF8XSws/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Had a lovely message from a dear friend, Gary Barlow on
                        the last night of tour 🙏❤️ #takethat, 21 thousand views
                        - play Short
                      video_url: https://www.youtube.com/shorts/UibTaF8XSws
                    - video_id: R4PW5MJldqE
                      title: Raindrops
                      view_count_text: >-
                        from rehearsals to the Reflection Tour stage. Music
                        video out now.🌦️ #rickastley
                      thumbnails:
                        - url: https://i.ytimg.com/vi/R4PW5MJldqE/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Raindrops, from rehearsals to the Reflection Tour stage.
                        Music video out now.🌦️ #rickastley, 26 thousand views -
                        play Short
                      video_url: https://www.youtube.com/shorts/R4PW5MJldqE
                    - video_id: 5Vwlej9WZPk
                      title: Raindrops
                      view_count_text: >-
                        from rehearsals to the Reflection Tour stage. Music
                        video out now.🌦️ #rickastley
                      thumbnails:
                        - url: https://i.ytimg.com/vi/5Vwlej9WZPk/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Raindrops, from rehearsals to the Reflection Tour stage.
                        Music video out now.🌦️ #rickastley, 26 thousand views -
                        play Short
                      video_url: https://www.youtube.com/shorts/5Vwlej9WZPk
                    - video_id: 9EbYYsgqjDs
                      title: And just like that
                      view_count_text: the Reflection Tour is over ❤️
                      thumbnails:
                        - url: https://i.ytimg.com/vi/9EbYYsgqjDs/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        And just like that, the Reflection Tour is over ❤️, 46
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/9EbYYsgqjDs
                    - video_id: _OZLXvxxv20
                      title: >-
                        One of my favourite parts of the show! What a song by
                        @RAYEofficial #whereismyhusband #rickastley
                      view_count_text: 53 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/_OZLXvxxv20/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        One of my favourite parts of the show! What a song by
                        @RAYEofficial #whereismyhusband #rickastley, 53 thousand
                        views - play Short
                      video_url: https://www.youtube.com/shorts/_OZLXvxxv20
                    - video_id: '-ufrap__gUc'
                      title: Happy birthday Edie! 🎂
                      view_count_text: 54 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/-ufrap__gUc/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: Happy birthday Edie! 🎂, 54 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/-ufrap__gUc
                    - video_id: 3RbyMUnksg4
                      title: 'This never gets old! #rickastley #nevergonnagiveyouup'
                      view_count_text: 7.2 million views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/3RbyMUnksg4/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        This never gets old! #rickastley #nevergonnagiveyouup,
                        7.2 million views - play Short
                      video_url: https://www.youtube.com/shorts/3RbyMUnksg4
                    - video_id: QYQTY5i6obo
                      title: >-
                        So excited my new single ‘Raindrops’ is out right now!
                        🌦️💙
                      view_count_text: 84 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/QYQTY5i6obo/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        So excited my new single ‘Raindrops’ is out right now!
                        🌦️💙, 84 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/QYQTY5i6obo
                    - video_id: uF_w7eg0ltc
                      title: >-
                        Rehearsals day 2 ✅ Only one week to go!!
                        #RAReflectionTour2026 #rickastley
                      view_count_text: 39 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/uF_w7eg0ltc/frame0.jpg
                          width: 720
                          height: 1280
                      accessibility_text: >-
                        Rehearsals day 2 ✅ Only one week to go!!
                        #RAReflectionTour2026 #rickastley, 39 thousand views -
                        play Short
                      video_url: https://www.youtube.com/shorts/uF_w7eg0ltc
                    - video_id: 4zZMkdkRJM4
                      title: >-
                        And then there was a jukebox in a laundromat ✍️ Behind
                        ‘Waiting On You’ part 2: lyrics. #rickastley
                      view_count_text: 20 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/4zZMkdkRJM4/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        And then there was a jukebox in a laundromat ✍️ Behind
                        ‘Waiting On You’ part 2: lyrics. #rickastley, 20
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/4zZMkdkRJM4
                    - video_id: 3ifB_qViIHg
                      title: >-
                        It started with an old guitar.. 🎸Behind ’Waiting On
                        You’ part 1. #waitingonyou #rickastley
                      view_count_text: 33 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/3ifB_qViIHg/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        It started with an old guitar.. 🎸Behind ’Waiting On
                        You’ part 1. #waitingonyou #rickastley, 33 thousand
                        views - play Short
                      video_url: https://www.youtube.com/shorts/3ifB_qViIHg
                    - video_id: aPzoOGz7h5E
                      title: >-
                        Any guesses? 👇 #rickastley #rickastleytour
                        #reflectiontour
                      view_count_text: 347 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/aPzoOGz7h5E/frame0.jpg
                          width: 720
                          height: 1280
                      accessibility_text: >-
                        Any guesses? 👇 #rickastley #rickastleytour
                        #reflectiontour, 347 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/aPzoOGz7h5E
                    - video_id: TLPGufb08nQ
                      title: >-
                        Rick & @sharleenspiterimusic singing ‘Ain’t No Mountain
                        High Enough’ together in 2023 😍 - Team Rick
                      view_count_text: 59 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/TLPGufb08nQ/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Rick & @sharleenspiterimusic singing ‘Ain’t No Mountain
                        High Enough’ together in 2023 😍 - Team Rick, 59
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/TLPGufb08nQ
                    - video_id: I4FQhjVClFI
                      title: >-
                        An epic moment from 2023. Rick and KT Tunstall
                        performing ‘Highway To Hell’ ❤️‍🔥 - Team Rick
                      view_count_text: 61 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/I4FQhjVClFI/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        An epic moment from 2023. Rick and KT Tunstall
                        performing ‘Highway To Hell’ ❤️‍🔥 - Team Rick, 61
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/I4FQhjVClFI
                    - video_id: AkKhX9wobw0
                      title: 35 years of Free 🎶 feat hits like ‘Move Right Out’
                      view_count_text: '‘Cry For Help’ & ‘Never Knew Love’ #rickastley'
                      thumbnails:
                        - url: https://i.ytimg.com/vi/AkKhX9wobw0/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        35 years of Free 🎶 feat hits like ‘Move Right Out’,
                        ‘Cry For Help’ & ‘Never Knew Love’ #rickastley, 32
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/AkKhX9wobw0
                    - video_id: '-SL8KDF0xwk'
                      title: >-
                        Only one month until the Reflection Tour kicks off 😎🪞
                        Grab your tickets at rickastley.co.uk
                      view_count_text: 47 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/-SL8KDF0xwk/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Only one month until the Reflection Tour kicks off 😎🪞
                        Grab your tickets at rickastley.co.uk, 47 thousand views
                        - play Short
                      video_url: https://www.youtube.com/shorts/-SL8KDF0xwk
                    - video_id: bf14EknADnY
                      title: >-
                        Rick Astley - One Month Till the 'Reflection Tour'
                        Starts #RAReflectionTour2026
                      view_count_text: 38 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/bf14EknADnY/frame0.jpg
                          width: 720
                          height: 1280
                      accessibility_text: >-
                        Rick Astley - One Month Till the 'Reflection Tour'
                        Starts #RAReflectionTour2026, 38 thousand views - play
                        Short
                      video_url: https://www.youtube.com/shorts/bf14EknADnY
                    - video_id: nlmY72V0qx8
                      title: >-
                        'Waiting On You' video is out now. A nighttime wander
                        through London
                      view_count_text: shot entirely on @apple iPhone
                      thumbnails:
                        - url: https://i.ytimg.com/vi/nlmY72V0qx8/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        'Waiting On You' video is out now. A nighttime wander
                        through London, shot entirely on @apple iPhone, 52
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/nlmY72V0qx8
                    - video_id: JT9OgV9Jo1s
                      title: >-
                        Happy IWD to women everywhere! 🙏 ❤️
                        #internationalwomensday
                      view_count_text: 35 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/JT9OgV9Jo1s/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Happy IWD to women everywhere! 🙏 ❤️
                        #internationalwomensday, 35 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/JT9OgV9Jo1s
                    - video_id: D-m88N_i-5Q
                      title: >-
                        So excited for the release of my new song ‘Waiting On
                        You’. I love it and I hope you do too x
                      view_count_text: 93 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/D-m88N_i-5Q/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        So excited for the release of my new song ‘Waiting On
                        You’. I love it and I hope you do too x, 93 thousand
                        views - play Short
                      video_url: https://www.youtube.com/shorts/D-m88N_i-5Q
                    - video_id: morw06Q6WaA
                      title: Whilst you’re waiting… ⏳
                      view_count_text: 69 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/morw06Q6WaA/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: Whilst you’re waiting… ⏳, 69 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/morw06Q6WaA
                    - video_id: Zg8SCGzDb5U
                      title: >-
                        Happy 38 years of Together Forever ❤️ Do you remember
                        when you first heard the song? - Team Rick
                      view_count_text: 146 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/Zg8SCGzDb5U/frame0.jpg
                          width: 576
                          height: 1024
                      accessibility_text: >-
                        Happy 38 years of Together Forever ❤️ Do you remember
                        when you first heard the song? - Team Rick, 146 thousand
                        views - play Short
                      video_url: https://www.youtube.com/shorts/Zg8SCGzDb5U
                    - video_id: ltwzeWxq-r0
                      title: Who would’ve thought? 🕺
                      view_count_text: 98 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/ltwzeWxq-r0/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: Who would’ve thought? 🕺, 98 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/ltwzeWxq-r0
                    - video_id: wg5YNCZ3Mzk
                      title: Wishing you all an amazing 2026 ❤️
                      view_count_text: 68 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/wg5YNCZ3Mzk/frame0.jpg
                          width: 720
                          height: 1280
                      accessibility_text: >-
                        Wishing you all an amazing 2026 ❤️, 68 thousand views -
                        play Short
                      video_url: https://www.youtube.com/shorts/wg5YNCZ3Mzk
                    - video_id: 6X0ILQrLf_A
                      title: >-
                        How are you spending New Year’s Eve? Never Gonna Stop'
                        on @BBC #RickAstleyRocksNewYearsEve 2024 🥂
                      view_count_text: 141 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/6X0ILQrLf_A/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        How are you spending New Year’s Eve? Never Gonna Stop'
                        on @BBC #RickAstleyRocksNewYearsEve 2024 🥂, 141
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/6X0ILQrLf_A
                    - video_id: 9D1YY77rmBs
                      title: Wishing you all a very Merry Christmas 🎄 ❤️
                      view_count_text: 71 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/9D1YY77rmBs/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Wishing you all a very Merry Christmas 🎄 ❤️, 71
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/9D1YY77rmBs
                    - video_id: 155LvgCTWeo
                      title: >-
                        Behind The Scenes of Love This Christmas🎄Watch the full
                        video on YouTube - Team Rick
                      view_count_text: 25 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/155LvgCTWeo/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Behind The Scenes of Love This Christmas🎄Watch the full
                        video on YouTube - Team Rick, 25 thousand views - play
                        Short
                      video_url: https://www.youtube.com/shorts/155LvgCTWeo
                    - video_id: pMqTtJ2k-Yw
                      title: >-
                        Giving #WillFerrell a run for his money
                        😉🎄#LoveThisChristmas #Elf
                      view_count_text: 74 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/pMqTtJ2k-Yw/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Giving #WillFerrell a run for his money
                        😉🎄#LoveThisChristmas #Elf, 74 thousand views - play
                        Short
                      video_url: https://www.youtube.com/shorts/pMqTtJ2k-Yw
                    - video_id: tzWUdP-ANao
                      title: >-
                        Rick's rendition of 'When I Fall in Love' is 38 years
                        old today ❤️
                      view_count_text: 35 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/tzWUdP-ANao/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Rick's rendition of 'When I Fall in Love' is 38 years
                        old today ❤️, 35 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/tzWUdP-ANao
                    - video_id: KeLgFY83B0g
                      title: >-
                        The stocking filler that will NEVER give you up 😉Never:
                        The Autobiography in paperback 📚 Team Rick
                      view_count_text: 51 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/KeLgFY83B0g/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        The stocking filler that will NEVER give you up 😉Never:
                        The Autobiography in paperback 📚 Team Rick, 51 thousand
                        views - play Short
                      video_url: https://www.youtube.com/shorts/KeLgFY83B0g
                    - video_id: 3CHCMK-RC4M
                      title: >-
                        Hold Me In Your Arms is 37 years old today 💿 What is
                        your favourite music video from the album? 🎬
                      view_count_text: 65 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/3CHCMK-RC4M/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Hold Me In Your Arms is 37 years old today 💿 What is
                        your favourite music video from the album? 🎬, 65
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/3CHCMK-RC4M
                    - video_id: dghsicc3xWw
                      title: >-
                        1 month to go 😉 Time to defrost your copy of 'Love This
                        Christmas' 🎄
                      view_count_text: 37 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/dghsicc3xWw/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        1 month to go 😉 Time to defrost your copy of 'Love This
                        Christmas' 🎄, 37 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/dghsicc3xWw
                    - video_id: 7hcGAji2Dcg
                      title: >-
                        Whenever You Need Somebody is 38 Years Old ❤️ Here's
                        Rick performing live at the Roxy back in 1987
                      view_count_text: 39 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/7hcGAji2Dcg/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Whenever You Need Somebody is 38 Years Old ❤️ Here's
                        Rick performing live at the Roxy back in 1987, 39
                        thousand views - play Short
                      video_url: https://www.youtube.com/shorts/7hcGAji2Dcg
                    - video_id: 91YPCCaaa6w
                      title: Tickets are now on sale! 🎟️ - Team Rick
                      view_count_text: 75 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/91YPCCaaa6w/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Tickets are now on sale! 🎟️ - Team Rick, 75 thousand
                        views - play Short
                      video_url: https://www.youtube.com/shorts/91YPCCaaa6w
                    - video_id: DVhaWkfOvr8
                      title: >-
                        Rick & ​⁠@JoolsHolland’s rendition of 'You're Nobody
                        Till Somebody Loves You'. ❤️ - Team Rick
                      view_count_text: 25 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/DVhaWkfOvr8/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        Rick & ​⁠@JoolsHolland’s rendition of 'You're Nobody
                        Till Somebody Loves You'. ❤️ - Team Rick, 25 thousand
                        views - play Short
                      video_url: https://www.youtube.com/shorts/DVhaWkfOvr8
                    - video_id: bCa5CUj8t4E
                      title: >-
                        It Would Take A Strong Man through the years 🕺 38 years
                        old today! - Team Rick
                      view_count_text: 60 thousand views
                      thumbnails:
                        - url: https://i.ytimg.com/vi/bCa5CUj8t4E/frame0.jpg
                          width: 1080
                          height: 1920
                      accessibility_text: >-
                        It Would Take A Strong Man through the years 🕺 38 years
                        old today! - Team Rick, 60 thousand views - play Short
                      video_url: https://www.youtube.com/shorts/bCa5CUj8t4E
                    - video_id: D155ASVXYqk
                      title: >-
                        Great night with ​⁠@RadioX. @BlossomsBand headlined and
                        as usual
                      view_count_text: crushed it !!!!
                      thumbnails:
                        - url: https://i.ytimg.com/vi/D155ASVXYqk/frame0.jpg
                          width: 720
                          height: 1280
                      accessibility_text: >-
                        Great night with ​⁠@RadioX. @BlossomsBand headlined and
                        as usual, crushed it !!!!, 30 thousand views - play
                        Short
                      video_url: https://www.youtube.com/shorts/D155ASVXYqk
                  continuation_token: >-
                    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
                  has_more: true
                  total_count: 48
                requestId: 39c82502-b33d-4e71-822d-bfa828b84472
          headers: {}
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '402':
          $ref: '#/components/responses/402'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/youtube/get_channel_shorts?channel_id=UCuAXFkgsw1L7xaCfnd5JJOw&channel_url=https://www.youtube.com/channel/UCuAXFkgsw1L7xaCfnd5JJOw' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/youtube/get_channel_shorts',
                params={"channel_id": "UCuAXFkgsw1L7xaCfnd5JJOw", "channel_url": "https://www.youtube.com/channel/UCuAXFkgsw1L7xaCfnd5JJOw"},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"channel_id":
            "UCuAXFkgsw1L7xaCfnd5JJOw", "channel_url":
            "https://www.youtube.com/channel/UCuAXFkgsw1L7xaCfnd5JJOw"});


            const response = await
            fetch(`https://api.keyapi.ai/v1/youtube/get_channel_shorts?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            example:
              code: 400
              data: null
              message: 'Missing required parameter: handle'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            example:
              code: 401
              data: null
              message: apiKey is null
    '402':
      description: Payment Required
      content:
        application/json:
          schema:
            type: object
            example:
              code: 402
              data: null
              message: apiKey quota is not enough
    '429':
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            example:
              code: 429
              data: null
              message: qps limit exceeded
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            example:
              code: 500
              data: null
              message: Internal server error
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````